## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASETrigger

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, Trigger

All Known Implementing Classes:
  SybaseASECatalogTrigger, SybaseASETriggerImpl

    public interface SybaseASETrigger

extends Trigger

A representation of the model object 'Sybase ASE Trigger'.

The following features are supported:

- `Enabled`

See Also:
  `SybaseasesqlmodelPackage.getSybaseASETrigger()`

Method Summary
`boolean` `isEnabled()` Returns the value of the 'Enabled' attribute.
`void` `setEnabled(boolean value)` Sets the value of the '`Enabled`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Trigger
`getActionGranularity, getActionStatement, getActionTime, getNewRow, getNewTable, getOldRow, getOldTable, getSchema, getSubjectTable, getTimeStamp, getTriggerColumn, getWhen, isDeleteType, isInsertType, isUpdateType, setActionGranularity, setActionTime, setDeleteType, setInsertType, setNewRow, setNewTable, setOldRow, setOldTable, setSchema, setSubjectTable, setUpdateType, setWhen`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isEnabled

    boolean isEnabled()

  Returns the value of the 'Enabled' attribute.

  If the meaning of the 'Enabled' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Enabled' attribute.
  See Also:
    `setEnabled(boolean)`, `SybaseasesqlmodelPackage.getSybaseASETrigger_Enabled()`

### setEnabled

    void setEnabled(boolean value)

  Sets the value of the '`Enabled`' attribute.

  Parameters:
    `value` - the new value of the 'Enabled' attribute.
  See Also:
    `isEnabled()`